@import '../abstracts/wp-core';
@import '../abstracts/mixins';

.components-base-control__field.wpez-blocks-button-group.icon-buttons {

  .components-button-group {
    @include components-button-group();

    .components-button {
      display: inline-flex;
      align-items: flex-end;
      margin: 0;
      padding: 3px;
      outline: none;
      cursor: pointer;
      position: relative;
      width: 36px;
      height: 36px;
      text-decoration: none;
      font-size: 13px;
      -webkit-appearance: none;

      & > svg {
        padding: 5px;
        border-radius: 4px;
        height: 30px;
        width: 30px;
      }

      &:not(:disabled).is-primary > svg {
        outline: none;
        color: $white;
        box-shadow: none;
        background: $dark-gray-500;
      }

      &.is-button:first-child,
      &.is-button,
      &.is-button:last-child {
        border-radius: 4px;
        border-width: 0
      }

      &.is-button.is-primary {
        //    background-color: $grey-dk;
      }

      &.is-button.is-primary:hover {
        color: $white;
        border-width: 0
      }
    }

    .components-icon-button {
      display: flex;
      align-items: center;
      margin: 0;
      border: none;
      background: none;
      position: relative;
      overflow: hidden;
      border-radius: 4px;
    }
  }

}
